### Function

# GimpUi ZoomModel zoom_step

#### Declaration [src]

    gdouble
    gimp_zoom_model_zoom_step (
      GimpZoomType zoom_type,
      gdouble scale,
      gdouble delta
    )

#### Description [src]

Utility function to calculate a new scale factor.

#### Parameters

`zoom_type` | `GimpZoomType`
| The zoom type.
`scale` | `gdouble`
| Ignored unless `zoom_type` == `GIMP_ZOOM_TO`.
`delta` | `gdouble`
| The delta from a smooth zoom event.

#### Return value

Returns: | `gdouble`
| The new scale factor Since GIMP 2.4